/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id:
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.bc.ftp;

/**
 * 
 * @author alouis
 */
public interface FTPConstants {

    String FTP_SERVICE_NS = "http://petals.ow2.org/components/ftp/version-3.0";

    String FTP_INTERFACE = "ftp";

    /**
     * the FTP server property.
     */
    String FTP_SERVER = "server";

    /**
     * the FTP port property.
     */
    String FTP_PORT = "port";

    /**
     * the FTP login property.
     */
    String FTP_USER = "user";

    /**
     * the FTP password property.
     */
    String FTP_PASSWORD = "password";

    /**
     * the FTP folder.
     */
    String FTP_FOLDER = "folder";

    /**
     * the FTP connection element
     */
    String FTP_CONNECTION = "connection";

    /**
     * the FTP filepattern element
     */
    String FTP_FILEPATTERN = "filepattern";

    /**
     * the FTP filepattern element
     */
    String FTP_FILENAME = "filename";

    String DIR = "dir";

    String GET = "get";

    String MGET = "mget";

    String PUT = "put";

    String MPUT = "mput";

    String BODY = "body";

    String STANDARD_PUT = "standard_put";

    String CONNECTION_MODE = "connection-mode";

    String TRANSFER_TYPE = "transfer-type";

    String CONNECTION_MODE_PASSIVE = "passive";

    String CONNECTION_MODE_ACTIVE = "active";

    String TRANSFER_TYPE_ASCII = "ascii";

    String TRANSFER_TYPE_BINARY = "binary";

    String TRANSFER_TYPE_AUTO = "auto";
    
    String UTF_8 = "UTF-8";
}
